## org.apache.mahout.classifier.sgd
Class AdaptiveLogisticRegression.TrainingExample

    java.lang.Object
      org.apache.mahout.classifier.sgd.AdaptiveLogisticRegression.TrainingExample

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

Enclosing class:
  AdaptiveLogisticRegression

    public static class AdaptiveLogisticRegression.TrainingExample

extends Object
implements org.apache.hadoop.io.Writable

Constructor Summary
`AdaptiveLogisticRegression.TrainingExample(long key, String groupKey, int actual, Vector instance)`

Method Summary
`int` `getActual()`
`String` `getGroupKey()`
`Vector` `getInstance()`
`long` `getKey()`
`void` `readFields(DataInput in)`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaptiveLogisticRegression.TrainingExample

    public AdaptiveLogisticRegression.TrainingExample(long key,
                                                      String groupKey,
                                                      int actual,
                                                      Vector instance)

Method Detail

### getKey

    public long getKey()

### getActual

    public int getActual()

### getInstance

    public Vector getInstance()

### getGroupKey

    public String getGroupKey()

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.